

--[[ TODO:
create gui system[/]
create scene system[IN PROGRESS]
look into creating scorlling scene[PENDING]
]]

--load lib
require ("guilib")
require ("player")
require ("mlib")
require ("projectile")
require ("hostileEntitys")
require ("menu")

function love.load()
	gameState = "menu"
	w = love.graphics.getWidth() 
	h = love.graphics.getHeight()
	mx = love.mouse.getX()
	my = love.mouse.getY()	
	
	math.randomseed(os.time()) --for testing
	intProjectiles() --int = initialize
	intPlayer() --load player
	intHosEnt()
	
	playerintd = true	--for testing
	addGui(130, 130, 110, "box", 0)
	addGui(400, 400, 20, "circle", 0)
	addOutlineBoxGui(170, 20, 10)
	printGui("HIIIEE", 42, 24)
end

function love.update(dt)	
	--update instances
	moveProjectiles(dt)				
	reloadTimer(dt)
	
	mx = love.mouse.getX()
	my = love.mouse.getY()
	
	

	if gameState == "play" then
		
		--player controls
		if love.keyboard.isDown("d") then
			movePlayer("d", dt)
		end
		if love.keyboard.isDown("w") then
			movePlayer("w", dt)
		end
		if love.keyboard.isDown("a") then
			movePlayer("a", dt)
		end
		if love.keyboard.isDown("s") then
			movePlayer("s", dt)
		end
		turnPlayer()

		-- fireing
		if love.mouse.isDown("l") then		
			fireProjectile(dt)
		end

	elseif gameState == "menu" then
		updateMenu()
	end
end

function love.draw()
	love.graphics.setBackgroundColor(95, 123, 232)
	if gameState == "play" then
		love.graphics.setColor(200,200,200)	
		drawPlayer()	

		love.graphics.setColor(221, 255, 0)
		drawProjectiles()
		
		love.graphics.setColor(255,255,255)	
		drawGuis()

	elseif gameState == "menu" then
		
		drawMenu()
	end
end
